Update auto-solve and auto-close settings
PUT
/tenants/{id}/auto-solve-settings
const url = 'https://api.muninx.com/tenants/this/auto-solve-settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"close-after-hours":1,"email-participants-on-solve":true,"enabled":true,"solve-after-hours":1,"solve-message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.muninx.com/tenants/this/auto-solve-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "close-after-hours": 1, "email-participants-on-solve": true, "enabled": true, "solve-after-hours": 1, "solve-message": "example" }'Replaces ticket auto-solve and auto-close settings for a tenant organization. Use this as the ID to select the tenant organization identified by the authenticated token.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Organization ID or ‘this’
Example
thisRequest Body required
Section titled “Request Body required ”Auto-solve and auto-close settings
Media type application/json
object
close-after-hours
Defines how long the ticket will be closed after it was Solved
integer
email-participants-on-solve
boolean
enabled
boolean
solve-after-hours
integer
solve-message
string
Example generated
{ "close-after-hours": 1, "email-participants-on-solve": true, "enabled": true, "solve-after-hours": 1, "solve-message": "example"}Responses
Section titled “ Responses ”Settings updated
Media type application/json
string
Example generated
exampleProblem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}